Set or close the in-progress note
curl --request PUT \
--url https://api.memcontext.in/api/memories/handoff \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"done": true,
"project": "<string>",
"scope": "<string>",
"client": "<string>"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
done: true,
project: '<string>',
scope: '<string>',
client: '<string>'
})
};
fetch('https://api.memcontext.in/api/memories/handoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.memcontext.in/api/memories/handoff"
payload = {
"content": "<string>",
"done": True,
"project": "<string>",
"scope": "<string>",
"client": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "saved",
"handoff": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"project": "<string>",
"scope": "<string>",
"client": "<string>",
"validUntil": "2023-11-07T05:31:56Z"
},
"redacted": 123
}Memories
Set or close the in-progress note
Each project has one open in-progress note. A new note replaces the previous one (history is
kept and no extra memory slot is used). Send done: true to close it. Notes expire after 14 days.
Saving In progress: … through POST /api/memories or the save_memory MCP tool does the same.
PUT
https://api.memcontext.in
/
api
/
memories
/
handoff
Set or close the in-progress note
curl --request PUT \
--url https://api.memcontext.in/api/memories/handoff \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"done": true,
"project": "<string>",
"scope": "<string>",
"client": "<string>"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
done: true,
project: '<string>',
scope: '<string>',
client: '<string>'
})
};
fetch('https://api.memcontext.in/api/memories/handoff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.memcontext.in/api/memories/handoff"
payload = {
"content": "<string>",
"done": True,
"project": "<string>",
"scope": "<string>",
"client": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "saved",
"handoff": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"project": "<string>",
"scope": "<string>",
"client": "<string>",
"validUntil": "2023-11-07T05:31:56Z"
},
"redacted": 123
}Authorizations
Body
application/json
Response
200 - application/json
Result.
